#!/bin/bash
#----------
#LAB=JAEA
LAB=INL
#-----------------
mkdir tmpfiles
mkdir tmpfiles/$LAB
#------------------------
# l = number of comment lines in the header
# n = number of lines to be extracted from the original file
#------------------------------------------------------------
# JAEA l=0; n=40
# INL  l=4; n=40
l=4; n=40
#==========================================
\rm -rf tmpfiles/${LAB}/*
#
#BENCH=/nfs/nasdb/nos/www/html/science/wpec/sg39/adjustment/results/data
BENCH=./data
#
for FILE in `(cd $BENCH/$LAB; ls nuclear_data_*.txt; cd ~/sg39)`
do
STATUS=`echo ${FILE} |sed 's/nuclear_data_//' |sed 's/\..*//' |sed 's/_.*//'`
for (( i=1 ; ${i}<6 ; ((i++)) ))
do
k=$((l+1+(i-1)*n))
cat $BENCH/$LAB/$FILE |tail -n +$k |head -$n >tmpfiles/output
dos2unix tmpfiles/output

PARAMETER=`grep -i "data:" tmpfiles/output |sed 's/[^:]*:\s*//' |sed 's/[-_,/()]//g' |sed 's/\(.*\)/\L\1/' |sed 's/[ ]*$//'`
mv tmpfiles/output tmpfiles/${LAB}/nuclear_data_${STATUS}_${PARAMETER}.txt
done
done
#
exit
