#!/bin/bash
#----------
MyNUC1='fe56 na23'
MyNUC2='pu239 u235 u238'
MyPAR1='MF3MT2 MF3MT4 MF3MT101 MF3MT251'
MyPAR2='MF3MT2 MF3MT4 MF3MT101 MF3MT251 MF3MT18 MF1MT452 MF5MT18 MF1MT455'
LAB1=ANL
LAB2=CEA
LAB3=INL
LAB4=JAEA
LAB5=IRSN
LAB6=NRG
LAB7=PSI
#-----------------
mkdir html/
#==========================================
\rm -rf html/*
#
for NUC in ${MyNUC1}
do
for PAR in ${MyPAR1}
do
sed "s/oLAB1o/${LAB1}/g" publish_template.html >toto1
sed "s/oLAB2o/${LAB2}/g" toto1 >toto2
sed "s/oLAB3o/${LAB3}/g" toto2 >toto1
sed "s/oLAB4o/${LAB4}/g" toto1 >toto2
sed "s/oLAB5o/${LAB5}/g" toto2 >toto1
sed "s/oLAB6o/${LAB6}/g" toto1 >toto2
sed "s/oLAB7o/${LAB7}/g" toto2 >toto1
sed "s/oNUCo/${NUC}/g"   toto1 >toto2
sed "s/oPARo/${PAR}/g"   toto2 >html/${NUC}_${PAR}.html
done
done
#
for NUC in ${MyNUC2}
do
for PAR in ${MyPAR2}
do
sed "s/oLAB1o/${LAB1}/g" publish_template.html >toto1
sed "s/oLAB2o/${LAB2}/g" toto1 >toto2
sed "s/oLAB3o/${LAB3}/g" toto2 >toto1
sed "s/oLAB4o/${LAB4}/g" toto1 >toto2
sed "s/oLAB5o/${LAB5}/g" toto2 >toto1
sed "s/oLAB6o/${LAB6}/g" toto1 >toto2
sed "s/oLAB7o/${LAB7}/g" toto2 >toto1
sed "s/oNUCo/${NUC}/g"   toto1 >toto2
sed "s/oPARo/${PAR}/g"   toto2 >html/${NUC}_${PAR}.html
done
done
#
\rm toto?


#
exit
